import User from '../models/User.js';

export const authenticate = async (req, res, next) => {
    try {
        const { userid: userId, authcode: authCode } = req.headers;
        if (!userId || !authCode) {
            return res.status(401).json({ error: 'Unauthorized: Missing credentials' });
        }
        const user = await User.findOne({ where: { email: userId, authCode: authCode } });
        if (!user) {
            return res.status(401).json({ error: 'Unauthorized: Invalid credentials' });
        } 
        next();
    } catch(error) {
        console.log(error);
        return res.status(500).json({ error: 'Internal Server Error at auth' });
    }
};